Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class TextProjectReportRenderer

    java.lang.Object
      org.gradle.api.tasks.diagnostics.TextProjectReportRenderer

All Implemented Interfaces:
  ProjectReportRenderer

Direct Known Subclasses:
  AsciiReportRenderer, GraphvizReportRenderer, PropertyReportRenderer, TaskReportRenderer

    public class TextProjectReportRenderer

extends java.lang.Object
implements ProjectReportRenderer

A basic `ProjectReportRenderer` which writes out a text report.

Field Summary
`static java.lang.String` | `SEPARATOR`

Constructor Summary
`TextProjectReportRenderer()`
`TextProjectReportRenderer(java.lang.Appendable writer)`

Method Summary
`void` | `complete()` Completes this report.
`void` | `completeProject(Project project)` Completes visiting a project.
`protected java.util.Formatter` | `getFormatter()`
`protected java.lang.Appendable` | `getWriter()`
`void` | `setOutputFile(java.io.File file)` Sets the output file for the report.
`void` | `startProject(Project project)` Starts visiting a project.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### TextProjectReportRenderer

    public TextProjectReportRenderer()

### TextProjectReportRenderer

    public TextProjectReportRenderer(java.lang.Appendable writer)

Method Detail

### setOutputFile

    public void setOutputFile(java.io.File file)
                       throws java.io.IOException

  Description copied from interface: `ProjectReportRenderer`
  Sets the output file for the report. This method must be called before any other methods on this renderer.

  Specified by:
    `setOutputFile` in interface `ProjectReportRenderer`
  Parameters:
    `file` - The output file, never null.
  Throws:
    `java.io.IOException`

### startProject

    public void startProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Starts visiting a project.

  Specified by:
    `startProject` in interface `ProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### completeProject

    public void completeProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Completes visiting a project.

  Specified by:
    `completeProject` in interface `ProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### complete

    public void complete()
                  throws java.io.IOException

  Description copied from interface: `ProjectReportRenderer`
  Completes this report. This method must be called last on this renderer.

  Specified by:
    `complete` in interface `ProjectReportRenderer`
  Throws:
    `java.io.IOException`

### getWriter

    protected java.lang.Appendable getWriter()

### getFormatter

    protected java.util.Formatter getFormatter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD